Bug 207059 - Sound Not Working 2.6.17-1.3001.fc5
Sound Not Working 2.6.17-1.3001.fc5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-18 20:51 EDT by Garry T. Williams
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 19:59:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garry T. Williams 2006-09-18 20:51:27 EDT
Description of problem:
Sound using 2.6.17-1.3001.fc5 quit working.


Version-Release number of selected component (if applicable):
2.6.17-1.3001.fc5


How reproducible:
100%


Steps to Reproduce:
1. click youtube

or configure sound in KDE and select test sound

  
Actual results:
silence


Expected results:
sound


Additional info:
Sound works fine on 2.6.16-1.2133_FC5.  It quit working after installing test
kernel.

$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML
Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express
Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High
Definition Audio Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE
Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 03)
06:03.0 CardBus bridge: Texas Instruments PCI7420 CardBus Controller
06:03.2 FireWire (IEEE 1394): Texas Instruments PCI7x20 1394a-2000 OHCI Two-Port
PHY/Link-Layer Controller
06:03.3 Mass storage controller: <pci_lookup_name: buffer too small>
06:04.0 Network controller: Intel Corporation PRO/Wireless 2200BG (rev 05)
06:08.0 Ethernet controller: Intel Corporation 82562ET/EZ/GT/GZ - PRO/100 VE
(LOM) Ethernet Controller Mobile (rev 03)

$ lsmod|grep snd
snd_hda_intel          19301  1
snd_hda_codec         153201  1 snd_hda_intel
snd_seq_dummy           4293  0
snd_seq_oss            34129  0
snd_seq_midi_event      8137  1 snd_seq_oss
snd_seq                53145  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          9301  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            43233  0
snd_mixer_oss          17225  1 snd_pcm_oss
snd_pcm                78189  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_timer              23773  2 snd_seq,snd_pcm
snd                    54661  11
snd_hda_intel,snd_hda_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              10401  1 snd
snd_page_alloc         10825  2 snd_hda_intel,snd_pcm
Comment 1 Garry T. Williams 2006-09-18 21:38:57 EDT
I see that problem only occurs after a S3 sleep/wake cycle.  Sound is working
after reboot.

This doesn't fail in older kernel (2.6.16-1.2133_FC5) where sleep/wake works.
Comment 2 Garry T. Williams 2006-09-18 22:45:18 EDT
Work-around to restore sound after S3 wake is /etc/init.d/alsasound restart .
Comment 3 Dave Jones 2006-10-16 15:37:01 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Garry T. Williams 2006-10-16 19:54:38 EDT
Sweet.

After yum install 2.6.18-1.2200.fc5, sound survives over S3 wake/sleep cycle.
Comment 5 Dave Jones 2006-10-16 19:59:05 EDT
awesome. thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.